/*	--*- c -*--
 * Copyright (C) 2016 Enrico Scholz <enrico.scholz@sigma-chemnitz.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef H_ENSC_BAYER_RGB_BAYER2RGB_INTERNAL_H
#define H_ENSC_BAYER_RGB_BAYER2RGB_INTERNAL_H

#include "bayer2rgb.h"

inline static void set_fallback_reason(struct image_conversion_info *info,
				       char const *reason)
{
	if (info && !info->fallback_reason)
		info->fallback_reason = reason;
}

#endif	/* H_ENSC_BAYER_RGB_BAYER2RGB_INTERNAL_H */
